/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class Entity extends $tea.Model {
    children?: EntityChildren[];
    /**
     * @example
     * {"title": "123"}
     */
    data?: {
        [key: string]: any;
    };
    /**
     * @example
     * 123
     */
    id?: string;
    /**
     * @example
     * y/n
     */
    isDeleted?: string;
    /**
     * @example
     * 67dbb24f7aac3f62d8b98fb5
     */
    linkSourceId?: string;
    /**
     * @example
     * EXTERNAL_PERF_TASK
     */
    linkSourceType?: string;
    metas?: Meta[];
    /**
     * @example
     * DIMENSION
     */
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class Meta extends $tea.Model {
    /**
     * @example
     * true
     */
    active?: boolean;
    /**
     * @example
     * 编码
     */
    alias?: string;
    /**
     * @example
     * common
     */
    category?: string;
    /**
     * @example
     * title
     */
    code?: string;
    /**
     * @example
     * true
     */
    forceActive?: boolean;
    /**
     * @example
     * true
     */
    forceRequired?: boolean;
    /**
     * @example
     * true
     */
    required?: boolean;
    /**
     * @example
     * {"width": 200}
     */
    scheme?: {
        [key: string]: any;
    };
    /**
     * @example
     * 名称
     */
    title?: string;
    /**
     * @example
     * string
     */
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalAlignDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * COOPERATION
     */
    alignType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    objectId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * objective
     */
    objectType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    objectiveId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalFieldMetaDTO extends $tea.Model {
    /**
     * @remarks
     * 是否启用
     *
     * This parameter is required.
     *
     * @example
     * true
     */
    active?: boolean;
    /**
     * @remarks
     * 字段元数据别名
     *
     * @example
     * 字段别名
     */
    alias?: string;
    /**
     * @remarks
     * 字段元数据标识
     *
     * This parameter is required.
     *
     * @example
     * foo
     */
    code?: string;
    /**
     * @remarks
     * 实体类型
     *
     * This parameter is required.
     *
     * @example
     * OBJECTIVE
     */
    entityType?: string;
    /**
     * @remarks
     * 字段ID
     *
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    fieldId?: string;
    /**
     * @remarks
     * 字段备注
     *
     * @example
     * 字段备注
     */
    note?: string;
    /**
     * @remarks
     * 字段数据来源
     *
     * This parameter is required.
     *
     * @example
     * OPEN
     */
    source?: string;
    /**
     * @remarks
     * 字段元数据名称
     *
     * This parameter is required.
     *
     * @example
     * 字段名
     */
    title?: string;
    /**
     * @remarks
     * 字段类型
     *
     * This parameter is required.
     *
     * @example
     * string
     */
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalKeyActionDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    keyActionId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * https://agoal.dingtalk.com
     */
    url?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalKeyResultDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    keyActions?: OpenAgoalKeyActionDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    keyResultId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 10
     */
    progress?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    status?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试KR
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    titleMentions?: TitleMention[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    type?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 30
     */
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalLatestProgressDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1716952481672
     */
    created?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    creator?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * <article class=\"4ever-article\"><p style=\"text-align:left;text-indent:0;margin-left:0;margin-top:0;margin-bottom:0\"><span>xxx</span></p></article>
     */
    htmldescription?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    progressId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalObjectiveDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    approveStatus?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    created?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    downAlignObjectIds?: string[];
    /**
     * @remarks
     * This parameter is required.
     */
    executor?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    keyActions?: OpenAgoalKeyActionDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    keyResults?: OpenAgoalKeyResultDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    latestProgress?: OpenAgoalLatestProgressDTO;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    objectiveRule?: OpenOrgObjectiveRuleDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    period?: OpenObjectiveRulePeriodDTO;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 0
     */
    progress?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    relatedUsers?: OpenAgoalUserDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    status?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    teams?: OpenAgoalTeamDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试目标
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    upAlignObjectIds?: string[];
    /**
     * @remarks
     * This parameter is required.
     */
    updated?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 30
     */
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalObjectiveDimensionDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    children?: OpenAgoalObjectiveDimensionDTOChildren[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    dimensionId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    fieldConfig?: OpenAgoalFieldMetaDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    fieldValueMap?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 这是维度标题
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 100
     */
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalOrgObjectiveDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    dimension?: OpenAgoalObjectiveDimensionDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    downAlignObjects?: OpenAgoalAlignDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    executor?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    fieldConfig?: OpenAgoalFieldMetaDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    fieldValueMap?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    period?: OpenObjectiveRulePeriodDTO;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * formalEffective
     */
    status?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    team?: OpenAgoalTeamDTO;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试目标
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    upAlignObjects?: OpenAgoalAlignDTO[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalOrgObjectiveListDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    objectiveList?: OpenAgoalOrgObjectiveDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 100
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalPeriodDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1743436799000
     */
    endDate?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 2024年度
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    periodId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * season
     */
    periodType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1711900800000
     */
    startDate?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalProgressDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    created?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    creator?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    htmlContent?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    keyResults?: OpenAgoalKeyResultDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    modifier?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    progress?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    progressId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    updated?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalTeamDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 8535683xx
     */
    deptId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试部门
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    teamId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalUserDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    dingUserId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenObjectiveRuleDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    excludePopRuleView?: OpenObjectiveRuleScopeDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * OKR / PBC
     */
    objectiveCategory?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveRuleId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 规则
     */
    objectiveRuleName?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    periods?: OpenObjectiveRulePeriodDTO[];
    /**
     * @remarks
     * This parameter is required.
     */
    popRuleView?: OpenObjectiveRuleScopeDTO[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * true
     */
    probationRule?: boolean;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * ONLINE
     */
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenObjectiveRulePeriodDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1743436799000
     */
    endDate?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 2024年度
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    periodId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * season
     */
    periodType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1711900800000
     */
    startDate?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenObjectiveRuleScopeDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 82347xxx2382
     */
    scopeId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * USER
     */
    scopeType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenOrgObjectiveRuleDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * OKR / PBC
     */
    objectiveCategory?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveRuleId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 测试规则
     */
    objectiveRuleName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenOrgPerfDocDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    docId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    executor?: OpenAgoalUserDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    score?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    state?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    team?: OpenAgoalTeamDTO;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenOrgPerfPlanDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    planId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    status?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenScoreCardDimensionDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    dimensionList?: OpenScoreCardDimensionDTODimensionList[];
    /**
     * @remarks
     * This parameter is required.
     */
    scoreCardId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenUserAdminDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * dingxxxxe3d8c283bb4aa39a90f97fcb1e09
     */
    dingCorpId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    dingUserId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenUserSubAdminDTO extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    deptIds?: string[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * dingxxxxe3d8c283bb4aa39a90f97fcb1e09
     */
    dingCorpId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    dingUserId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    permissionGroupCodes?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PerfTask extends $tea.Model {
    /**
     * @example
     * 328497234
     */
    id?: string;
    /**
     * @example
     * y/n
     */
    isDeleted?: string;
    /**
     * @example
     * ONGOING
     */
    status?: string;
    /**
     * @example
     * xxx考核任务
     */
    title?: string;
    /**
     * @example
     * 23223423
     */
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TitleMention extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 10
     */
    length?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 0
     */
    offset?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    user?: OpenAgoalUserDTO;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalBizDataQueryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalBizDataQueryRequest extends $tea.Model {
    bizCode?: string;
    maxResults?: number;
    nextToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalBizDataQueryResponseBody extends $tea.Model {
    content?: AgoalBizDataQueryResponseBodyContent;
    requestId?: string;
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalBizDataQueryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalBizDataQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalCreateProgressHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalCreateProgressRequest extends $tea.Model {
    /**
     * @example
     * 64bf87f8d7ace3616f0a1971
     */
    krId?: string;
    /**
     * **if can be null:**
     * false
     */
    mergeIntoLatestProgress?: boolean;
    /**
     * @example
     * 662e006fe4b0f579bbcb10cf
     */
    objectiveId?: string;
    /**
     * @example
     * 这是一条目标进展文本
     */
    plainText?: string;
    /**
     * @example
     * 30
     */
    progress?: number;
    /**
     * @example
     * naturalWeek
     */
    progressMergePeriod?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalCreateProgressResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: OpenAgoalProgressDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalCreateProgressResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalCreateProgressResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityCreateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityCreateRequest extends $tea.Model {
    body?: Entity[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityCreateResponseBody extends $tea.Model {
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityCreateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalEntityCreateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityUpdateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityUpdateRequest extends $tea.Model {
    body?: Entity[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityUpdateResponseBody extends $tea.Model {
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalEntityUpdateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalEntityUpdateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateRequest extends $tea.Model {
    body?: AgoalFieldUpdateRequestBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateShrinkRequest extends $tea.Model {
    bodyShrink?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateResponseBody extends $tea.Model {
    content?: boolean;
    requestId?: string;
    success?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalFieldUpdateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryRequest extends $tea.Model {
    codeList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryShrinkRequest extends $tea.Model {
    codeListShrink?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryResponseBody extends $tea.Model {
    result?: AgoalIndicatorBatchQueryResponseBodyResult[];
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalIndicatorBatchQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorDataPushHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorDataPushRequest extends $tea.Model {
    /**
     * @example
     * code_sik2834jdi383jd
     */
    code?: string;
    data?: AgoalIndicatorDataPushRequestData[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorDataPushResponseBody extends $tea.Model {
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorDataPushResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalIndicatorDataPushResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveKeyActionListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveKeyActionListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    dingUserId?: string;
    /**
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    keyResultId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveKeyActionListResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: OpenAgoalKeyActionDTO[];
    /**
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveKeyActionListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalObjectiveKeyActionListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveProgressListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveProgressListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    objectiveId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @example
     * 10
     */
    pageSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveProgressListResponseBody extends $tea.Model {
    content?: AgoalObjectiveProgressListResponseBodyContent;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveProgressListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalObjectiveProgressListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRuleListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRuleListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @example
     * 10
     */
    pageSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRuleListResponseBody extends $tea.Model {
    content?: AgoalObjectiveRuleListResponseBodyContent;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRuleListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalObjectiveRuleListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRulePeriodListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRulePeriodListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveRuleId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRulePeriodListResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: OpenObjectiveRulePeriodDTO[];
    /**
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRulePeriodListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalObjectiveRulePeriodListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveListRequest extends $tea.Model {
    /**
     * @example
     * 853530516
     *
     * **if can be null:**
     * true
     */
    dingTeamId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @example
     * 662e006fe4b0f579bbcxxxxx
     *
     * **if can be null:**
     * true
     */
    periodId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveListResponseBody extends $tea.Model {
    content?: OpenAgoalOrgObjectiveListDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalOrgObjectiveListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveQueryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveQueryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    objectiveId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveQueryResponseBody extends $tea.Model {
    content?: OpenAgoalOrgObjectiveDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveQueryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalOrgObjectiveQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveRuleListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveRuleListResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: OpenOrgObjectiveRuleDTO[];
    /**
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgObjectiveRuleListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalOrgObjectiveRuleListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfDocQueryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfDocQueryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    planId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfDocQueryResponseBody extends $tea.Model {
    content?: AgoalOrgPerfDocQueryResponseBodyContent;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfDocQueryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalOrgPerfDocQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfPlanQueryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfPlanQueryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @example
     * 10
     */
    pageSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfPlanQueryResponseBody extends $tea.Model {
    content?: AgoalOrgPerfPlanQueryResponseBodyContent;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfPlanQueryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalOrgPerfPlanQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskCreateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskCreateRequest extends $tea.Model {
    body?: PerfTask[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskCreateResponseBody extends $tea.Model {
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskCreateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalPerfTaskCreateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskUpdateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskUpdateRequest extends $tea.Model {
    body?: PerfTask[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskUpdateResponseBody extends $tea.Model {
    result?: boolean;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPerfTaskUpdateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalPerfTaskUpdateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListRequest extends $tea.Model {
    body?: AgoalPeriodListRequestBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListShrinkRequest extends $tea.Model {
    bodyShrink?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListResponseBody extends $tea.Model {
    content?: OpenAgoalPeriodDTO[];
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalPeriodListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalSendMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalSendMessageRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * https://agoal.dingtalk.com
     */
    mobileUrl?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * {"A":"a", "B":"b"}
     */
    params?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * https://agoal.dingtalk.com
     */
    pcUrl?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    sourceDingUserId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    targetDingUserIds?: string[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1d01a14febc7482ca3b6e1d30cf5xxxx
     */
    templateId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalSendMessageResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: boolean;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalSendMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalSendMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserAdminListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserAdminListResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: OpenUserAdminDTO[];
    /**
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserAdminListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalUserAdminListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserObjectiveListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserObjectiveListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 211042291978xxxx
     */
    dingUserId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 6444f5e9a4261c6e699dxxxx
     */
    objectiveRuleId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    periodIds?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserObjectiveListResponseBody extends $tea.Model {
    content?: OpenAgoalObjectiveDTO[];
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserObjectiveListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalUserObjectiveListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserSubAdminListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserSubAdminListRequest extends $tea.Model {
    /**
     * @example
     * ACCOUNT
     */
    funcPermissionGroup?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserSubAdminListResponseBody extends $tea.Model {
    content?: OpenUserSubAdminDTO[];
    /**
     * @example
     * 7478B23C-80E8-1AD6-BE8C-09D480E0xxxx
     */
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalUserSubAdminListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AgoalUserSubAdminListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetDeptScoreCardIndicatorHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetDeptScoreCardIndicatorRequest extends $tea.Model {
    dingTeamId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetDeptScoreCardIndicatorResponseBody extends $tea.Model {
    content?: OpenScoreCardDimensionDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetDeptScoreCardIndicatorResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetDeptScoreCardIndicatorResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetIndicatorDetailHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetIndicatorDetailRequest extends $tea.Model {
    indicatorId?: string;
    monthNum?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetIndicatorDetailResponseBody extends $tea.Model {
    content?: string[];
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetIndicatorDetailResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetIndicatorDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveDetailHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveDetailRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    objectiveId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveDetailResponseBody extends $tea.Model {
    content?: OpenAgoalObjectiveDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveDetailResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetObjectiveDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveRuleDetailHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveRuleDetailRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    objectiveRuleId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveRuleDetailResponseBody extends $tea.Model {
    content?: OpenObjectiveRuleDTO;
    requestId?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetObjectiveRuleDetailResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetObjectiveRuleDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class EntityChildren extends $tea.Model {
    /**
     * @example
     * {"title": "123"}
     */
    data?: {
        [key: string]: any;
    };
    /**
     * @example
     * 123
     */
    id?: string;
    /**
     * @example
     * y/n
     */
    isDeleted?: string;
    /**
     * @example
     * 67dbb24f7aac3f62d8b98fb5
     */
    linkSourceId?: string;
    /**
     * @example
     * EXTERNAL_PERF_TASK
     */
    linkSourceType?: string;
    metas?: Meta[];
    /**
     * @example
     * DIMENSION
     */
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenAgoalObjectiveDimensionDTOChildren extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f57ccbcxxxxx
     */
    dimensionId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 这是子维度标题
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 100
     */
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenScoreCardDimensionDTODimensionList extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    dimensionId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    indicatorIdList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalBizDataQueryResponseBodyContent extends $tea.Model {
    bizInfos?: {
        [key: string]: any;
    }[];
    maxResults?: number;
    nextToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalFieldUpdateRequestBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 662e006fe4b0f579bbcxxxxx
     */
    entityId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * OBJECTIVE
     */
    entityType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * title
     */
    fieldCode?: string;
    /**
     * @example
     * 字段值
     */
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorBatchQueryResponseBodyResult extends $tea.Model {
    code?: string;
    description?: string;
    id?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalIndicatorDataPushRequestData extends $tea.Model {
    /**
     * @example
     * 111
     */
    data?: string;
    /**
     * @example
     * 2025-11-01 11:01:00
     */
    period?: string;
    /**
     * @example
     * YEAR、HALF_YEAR、QUARTER、DOUBLE_MONTH、MONTH、WEEK
     */
    periodType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveProgressListResponseBodyContent extends $tea.Model {
    pageNumber?: string;
    pageSize?: string;
    result?: OpenAgoalProgressDTO[];
    totalCount?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalObjectiveRuleListResponseBodyContent extends $tea.Model {
    pageNumber?: number;
    pageSize?: number;
    result?: OpenObjectiveRuleDTO[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfDocQueryResponseBodyContent extends $tea.Model {
    pageNumber?: number;
    pageSize?: number;
    result?: OpenOrgPerfDocDTO[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalOrgPerfPlanQueryResponseBodyContent extends $tea.Model {
    pageNumber?: number;
    pageSize?: number;
    result?: OpenOrgPerfPlanDTO[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AgoalPeriodListRequestBody extends $tea.Model {
    periodTypes?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 业务数据开放
     *
     * @param request - AgoalBizDataQueryRequest
     * @param headers - AgoalBizDataQueryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalBizDataQueryResponse
     */
    agoalBizDataQueryWithOptions(request: AgoalBizDataQueryRequest, headers: AgoalBizDataQueryHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalBizDataQueryResponse>;
    /**
     * 业务数据开放
     *
     * @param request - AgoalBizDataQueryRequest
     * @returns AgoalBizDataQueryResponse
     */
    agoalBizDataQuery(request: AgoalBizDataQueryRequest): Promise<AgoalBizDataQueryResponse>;
    /**
     * 创建目标进展
     *
     * @param request - AgoalCreateProgressRequest
     * @param headers - AgoalCreateProgressHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalCreateProgressResponse
     */
    agoalCreateProgressWithOptions(request: AgoalCreateProgressRequest, headers: AgoalCreateProgressHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalCreateProgressResponse>;
    /**
     * 创建目标进展
     *
     * @param request - AgoalCreateProgressRequest
     * @returns AgoalCreateProgressResponse
     */
    agoalCreateProgress(request: AgoalCreateProgressRequest): Promise<AgoalCreateProgressResponse>;
    /**
     * 创建业务实体
     *
     * @param request - AgoalEntityCreateRequest
     * @param headers - AgoalEntityCreateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalEntityCreateResponse
     */
    agoalEntityCreateWithOptions(request: AgoalEntityCreateRequest, headers: AgoalEntityCreateHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalEntityCreateResponse>;
    /**
     * 创建业务实体
     *
     * @param request - AgoalEntityCreateRequest
     * @returns AgoalEntityCreateResponse
     */
    agoalEntityCreate(request: AgoalEntityCreateRequest): Promise<AgoalEntityCreateResponse>;
    /**
     * 更新业务实体
     *
     * @param request - AgoalEntityUpdateRequest
     * @param headers - AgoalEntityUpdateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalEntityUpdateResponse
     */
    agoalEntityUpdateWithOptions(request: AgoalEntityUpdateRequest, headers: AgoalEntityUpdateHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalEntityUpdateResponse>;
    /**
     * 更新业务实体
     *
     * @param request - AgoalEntityUpdateRequest
     * @returns AgoalEntityUpdateResponse
     */
    agoalEntityUpdate(request: AgoalEntityUpdateRequest): Promise<AgoalEntityUpdateResponse>;
    /**
     * 更新 Agoal 字段值
     *
     * @param tmpReq - AgoalFieldUpdateRequest
     * @param headers - AgoalFieldUpdateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalFieldUpdateResponse
     */
    agoalFieldUpdateWithOptions(tmpReq: AgoalFieldUpdateRequest, headers: AgoalFieldUpdateHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalFieldUpdateResponse>;
    /**
     * 更新 Agoal 字段值
     *
     * @param request - AgoalFieldUpdateRequest
     * @returns AgoalFieldUpdateResponse
     */
    agoalFieldUpdate(request: AgoalFieldUpdateRequest): Promise<AgoalFieldUpdateResponse>;
    /**
     * 通过指标编码批量查询指标列表
     *
     * @param tmpReq - AgoalIndicatorBatchQueryRequest
     * @param headers - AgoalIndicatorBatchQueryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalIndicatorBatchQueryResponse
     */
    agoalIndicatorBatchQueryWithOptions(tmpReq: AgoalIndicatorBatchQueryRequest, headers: AgoalIndicatorBatchQueryHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalIndicatorBatchQueryResponse>;
    /**
     * 通过指标编码批量查询指标列表
     *
     * @param request - AgoalIndicatorBatchQueryRequest
     * @returns AgoalIndicatorBatchQueryResponse
     */
    agoalIndicatorBatchQuery(request: AgoalIndicatorBatchQueryRequest): Promise<AgoalIndicatorBatchQueryResponse>;
    /**
     * 通过指标编码推送指标时间维度数据
     *
     * @param request - AgoalIndicatorDataPushRequest
     * @param headers - AgoalIndicatorDataPushHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalIndicatorDataPushResponse
     */
    agoalIndicatorDataPushWithOptions(request: AgoalIndicatorDataPushRequest, headers: AgoalIndicatorDataPushHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalIndicatorDataPushResponse>;
    /**
     * 通过指标编码推送指标时间维度数据
     *
     * @param request - AgoalIndicatorDataPushRequest
     * @returns AgoalIndicatorDataPushResponse
     */
    agoalIndicatorDataPush(request: AgoalIndicatorDataPushRequest): Promise<AgoalIndicatorDataPushResponse>;
    /**
     * 获取Agoal指定目标或者关键结果关联的关键行动
     *
     * @param request - AgoalObjectiveKeyActionListRequest
     * @param headers - AgoalObjectiveKeyActionListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalObjectiveKeyActionListResponse
     */
    agoalObjectiveKeyActionListWithOptions(request: AgoalObjectiveKeyActionListRequest, headers: AgoalObjectiveKeyActionListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalObjectiveKeyActionListResponse>;
    /**
     * 获取Agoal指定目标或者关键结果关联的关键行动
     *
     * @param request - AgoalObjectiveKeyActionListRequest
     * @returns AgoalObjectiveKeyActionListResponse
     */
    agoalObjectiveKeyActionList(request: AgoalObjectiveKeyActionListRequest): Promise<AgoalObjectiveKeyActionListResponse>;
    /**
     * 查询企业下指定个人目标的所有进展
     *
     * @param request - AgoalObjectiveProgressListRequest
     * @param headers - AgoalObjectiveProgressListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalObjectiveProgressListResponse
     */
    agoalObjectiveProgressListWithOptions(request: AgoalObjectiveProgressListRequest, headers: AgoalObjectiveProgressListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalObjectiveProgressListResponse>;
    /**
     * 查询企业下指定个人目标的所有进展
     *
     * @param request - AgoalObjectiveProgressListRequest
     * @returns AgoalObjectiveProgressListResponse
     */
    agoalObjectiveProgressList(request: AgoalObjectiveProgressListRequest): Promise<AgoalObjectiveProgressListResponse>;
    /**
     * 查询企业下目标规则列表
     *
     * @param request - AgoalObjectiveRuleListRequest
     * @param headers - AgoalObjectiveRuleListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalObjectiveRuleListResponse
     */
    agoalObjectiveRuleListWithOptions(request: AgoalObjectiveRuleListRequest, headers: AgoalObjectiveRuleListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalObjectiveRuleListResponse>;
    /**
     * 查询企业下目标规则列表
     *
     * @param request - AgoalObjectiveRuleListRequest
     * @returns AgoalObjectiveRuleListResponse
     */
    agoalObjectiveRuleList(request: AgoalObjectiveRuleListRequest): Promise<AgoalObjectiveRuleListResponse>;
    /**
     * 获取Agoal目标规则下的周期列表
     *
     * @param request - AgoalObjectiveRulePeriodListRequest
     * @param headers - AgoalObjectiveRulePeriodListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalObjectiveRulePeriodListResponse
     */
    agoalObjectiveRulePeriodListWithOptions(request: AgoalObjectiveRulePeriodListRequest, headers: AgoalObjectiveRulePeriodListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalObjectiveRulePeriodListResponse>;
    /**
     * 获取Agoal目标规则下的周期列表
     *
     * @param request - AgoalObjectiveRulePeriodListRequest
     * @returns AgoalObjectiveRulePeriodListResponse
     */
    agoalObjectiveRulePeriodList(request: AgoalObjectiveRulePeriodListRequest): Promise<AgoalObjectiveRulePeriodListResponse>;
    /**
     * 获取 Agoal 组织目标列表
     *
     * @param request - AgoalOrgObjectiveListRequest
     * @param headers - AgoalOrgObjectiveListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalOrgObjectiveListResponse
     */
    agoalOrgObjectiveListWithOptions(request: AgoalOrgObjectiveListRequest, headers: AgoalOrgObjectiveListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalOrgObjectiveListResponse>;
    /**
     * 获取 Agoal 组织目标列表
     *
     * @param request - AgoalOrgObjectiveListRequest
     * @returns AgoalOrgObjectiveListResponse
     */
    agoalOrgObjectiveList(request: AgoalOrgObjectiveListRequest): Promise<AgoalOrgObjectiveListResponse>;
    /**
     * 查询组织目标详情
     *
     * @param request - AgoalOrgObjectiveQueryRequest
     * @param headers - AgoalOrgObjectiveQueryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalOrgObjectiveQueryResponse
     */
    agoalOrgObjectiveQueryWithOptions(request: AgoalOrgObjectiveQueryRequest, headers: AgoalOrgObjectiveQueryHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalOrgObjectiveQueryResponse>;
    /**
     * 查询组织目标详情
     *
     * @param request - AgoalOrgObjectiveQueryRequest
     * @returns AgoalOrgObjectiveQueryResponse
     */
    agoalOrgObjectiveQuery(request: AgoalOrgObjectiveQueryRequest): Promise<AgoalOrgObjectiveQueryResponse>;
    /**
     * 获取Agoal目标规则列表
     *
     * @param headers - AgoalOrgObjectiveRuleListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalOrgObjectiveRuleListResponse
     */
    agoalOrgObjectiveRuleListWithOptions(headers: AgoalOrgObjectiveRuleListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalOrgObjectiveRuleListResponse>;
    /**
     * 获取Agoal目标规则列表
     * @returns AgoalOrgObjectiveRuleListResponse
     */
    agoalOrgObjectiveRuleList(): Promise<AgoalOrgObjectiveRuleListResponse>;
    /**
     * 查询某个考核计划的部门得分
     *
     * @param request - AgoalOrgPerfDocQueryRequest
     * @param headers - AgoalOrgPerfDocQueryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalOrgPerfDocQueryResponse
     */
    agoalOrgPerfDocQueryWithOptions(request: AgoalOrgPerfDocQueryRequest, headers: AgoalOrgPerfDocQueryHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalOrgPerfDocQueryResponse>;
    /**
     * 查询某个考核计划的部门得分
     *
     * @param request - AgoalOrgPerfDocQueryRequest
     * @returns AgoalOrgPerfDocQueryResponse
     */
    agoalOrgPerfDocQuery(request: AgoalOrgPerfDocQueryRequest): Promise<AgoalOrgPerfDocQueryResponse>;
    /**
     * 查询企业下的所有考核计划
     *
     * @param request - AgoalOrgPerfPlanQueryRequest
     * @param headers - AgoalOrgPerfPlanQueryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalOrgPerfPlanQueryResponse
     */
    agoalOrgPerfPlanQueryWithOptions(request: AgoalOrgPerfPlanQueryRequest, headers: AgoalOrgPerfPlanQueryHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalOrgPerfPlanQueryResponse>;
    /**
     * 查询企业下的所有考核计划
     *
     * @param request - AgoalOrgPerfPlanQueryRequest
     * @returns AgoalOrgPerfPlanQueryResponse
     */
    agoalOrgPerfPlanQuery(request: AgoalOrgPerfPlanQueryRequest): Promise<AgoalOrgPerfPlanQueryResponse>;
    /**
     * 创建考核任务
     *
     * @param request - AgoalPerfTaskCreateRequest
     * @param headers - AgoalPerfTaskCreateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalPerfTaskCreateResponse
     */
    agoalPerfTaskCreateWithOptions(request: AgoalPerfTaskCreateRequest, headers: AgoalPerfTaskCreateHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalPerfTaskCreateResponse>;
    /**
     * 创建考核任务
     *
     * @param request - AgoalPerfTaskCreateRequest
     * @returns AgoalPerfTaskCreateResponse
     */
    agoalPerfTaskCreate(request: AgoalPerfTaskCreateRequest): Promise<AgoalPerfTaskCreateResponse>;
    /**
     * 更新考核任务
     *
     * @param request - AgoalPerfTaskUpdateRequest
     * @param headers - AgoalPerfTaskUpdateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalPerfTaskUpdateResponse
     */
    agoalPerfTaskUpdateWithOptions(request: AgoalPerfTaskUpdateRequest, headers: AgoalPerfTaskUpdateHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalPerfTaskUpdateResponse>;
    /**
     * 更新考核任务
     *
     * @param request - AgoalPerfTaskUpdateRequest
     * @returns AgoalPerfTaskUpdateResponse
     */
    agoalPerfTaskUpdate(request: AgoalPerfTaskUpdateRequest): Promise<AgoalPerfTaskUpdateResponse>;
    /**
     * 获取 Agoal 周期列表
     *
     * @param tmpReq - AgoalPeriodListRequest
     * @param headers - AgoalPeriodListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalPeriodListResponse
     */
    agoalPeriodListWithOptions(tmpReq: AgoalPeriodListRequest, headers: AgoalPeriodListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalPeriodListResponse>;
    /**
     * 获取 Agoal 周期列表
     *
     * @param request - AgoalPeriodListRequest
     * @returns AgoalPeriodListResponse
     */
    agoalPeriodList(request: AgoalPeriodListRequest): Promise<AgoalPeriodListResponse>;
    /**
     * Agoal消息发送
     *
     * @param request - AgoalSendMessageRequest
     * @param headers - AgoalSendMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalSendMessageResponse
     */
    agoalSendMessageWithOptions(request: AgoalSendMessageRequest, headers: AgoalSendMessageHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalSendMessageResponse>;
    /**
     * Agoal消息发送
     *
     * @param request - AgoalSendMessageRequest
     * @returns AgoalSendMessageResponse
     */
    agoalSendMessage(request: AgoalSendMessageRequest): Promise<AgoalSendMessageResponse>;
    /**
     * 获取Agoal管理员列表
     *
     * @param headers - AgoalUserAdminListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalUserAdminListResponse
     */
    agoalUserAdminListWithOptions(headers: AgoalUserAdminListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalUserAdminListResponse>;
    /**
     * 获取Agoal管理员列表
     * @returns AgoalUserAdminListResponse
     */
    agoalUserAdminList(): Promise<AgoalUserAdminListResponse>;
    /**
     * Agoal用户目标列表
     *
     * @param request - AgoalUserObjectiveListRequest
     * @param headers - AgoalUserObjectiveListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalUserObjectiveListResponse
     */
    agoalUserObjectiveListWithOptions(request: AgoalUserObjectiveListRequest, headers: AgoalUserObjectiveListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalUserObjectiveListResponse>;
    /**
     * Agoal用户目标列表
     *
     * @param request - AgoalUserObjectiveListRequest
     * @returns AgoalUserObjectiveListResponse
     */
    agoalUserObjectiveList(request: AgoalUserObjectiveListRequest): Promise<AgoalUserObjectiveListResponse>;
    /**
     * 获取Agoal子管理员列表
     *
     * @param request - AgoalUserSubAdminListRequest
     * @param headers - AgoalUserSubAdminListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AgoalUserSubAdminListResponse
     */
    agoalUserSubAdminListWithOptions(request: AgoalUserSubAdminListRequest, headers: AgoalUserSubAdminListHeaders, runtime: $Util.RuntimeOptions): Promise<AgoalUserSubAdminListResponse>;
    /**
     * 获取Agoal子管理员列表
     *
     * @param request - AgoalUserSubAdminListRequest
     * @returns AgoalUserSubAdminListResponse
     */
    agoalUserSubAdminList(request: AgoalUserSubAdminListRequest): Promise<AgoalUserSubAdminListResponse>;
    /**
     * 获取部门下的维度和指标id
     *
     * @param request - GetDeptScoreCardIndicatorRequest
     * @param headers - GetDeptScoreCardIndicatorHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetDeptScoreCardIndicatorResponse
     */
    getDeptScoreCardIndicatorWithOptions(request: GetDeptScoreCardIndicatorRequest, headers: GetDeptScoreCardIndicatorHeaders, runtime: $Util.RuntimeOptions): Promise<GetDeptScoreCardIndicatorResponse>;
    /**
     * 获取部门下的维度和指标id
     *
     * @param request - GetDeptScoreCardIndicatorRequest
     * @returns GetDeptScoreCardIndicatorResponse
     */
    getDeptScoreCardIndicator(request: GetDeptScoreCardIndicatorRequest): Promise<GetDeptScoreCardIndicatorResponse>;
    /**
     * 获取指标详情
     *
     * @param request - GetIndicatorDetailRequest
     * @param headers - GetIndicatorDetailHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetIndicatorDetailResponse
     */
    getIndicatorDetailWithOptions(request: GetIndicatorDetailRequest, headers: GetIndicatorDetailHeaders, runtime: $Util.RuntimeOptions): Promise<GetIndicatorDetailResponse>;
    /**
     * 获取指标详情
     *
     * @param request - GetIndicatorDetailRequest
     * @returns GetIndicatorDetailResponse
     */
    getIndicatorDetail(request: GetIndicatorDetailRequest): Promise<GetIndicatorDetailResponse>;
    /**
     * 查询企业下个人目标详情
     *
     * @param request - GetObjectiveDetailRequest
     * @param headers - GetObjectiveDetailHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetObjectiveDetailResponse
     */
    getObjectiveDetailWithOptions(request: GetObjectiveDetailRequest, headers: GetObjectiveDetailHeaders, runtime: $Util.RuntimeOptions): Promise<GetObjectiveDetailResponse>;
    /**
     * 查询企业下个人目标详情
     *
     * @param request - GetObjectiveDetailRequest
     * @returns GetObjectiveDetailResponse
     */
    getObjectiveDetail(request: GetObjectiveDetailRequest): Promise<GetObjectiveDetailResponse>;
    /**
     * 查询企业下单个目标规则详情
     *
     * @param request - GetObjectiveRuleDetailRequest
     * @param headers - GetObjectiveRuleDetailHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetObjectiveRuleDetailResponse
     */
    getObjectiveRuleDetailWithOptions(request: GetObjectiveRuleDetailRequest, headers: GetObjectiveRuleDetailHeaders, runtime: $Util.RuntimeOptions): Promise<GetObjectiveRuleDetailResponse>;
    /**
     * 查询企业下单个目标规则详情
     *
     * @param request - GetObjectiveRuleDetailRequest
     * @returns GetObjectiveRuleDetailResponse
     */
    getObjectiveRuleDetail(request: GetObjectiveRuleDetailRequest): Promise<GetObjectiveRuleDetailResponse>;
}
